var chapters = [
  { topic: "chapter", section: "1", title: "Introduction to JAX-WS Web Services", anchor: "WSGET109", file: "jax-ws-intro.htm" },
  { topic: "chapter", section: "2", title: "Examples for JAX-WS Web Service Developers", anchor: "WSGET3608", file: "jax-ws-usecases.htm" },
  { topic: "chapter", section: "3", title: "Developing JAX-WS Web Services", anchor: "WSGET129", file: "jax-ws-setenv.htm" },
  { topic: "chapter", section: "4", title: "Programming the JWS File", anchor: "WSGET151", file: "jax-ws-jws.htm" },
  { topic: "chapter", section: "5", title: "Using JAXB Data Binding", anchor: "WSGET180", file: "jax-ws-datatypes.htm" },
  { topic: "chapter", section: "6", title: "Examples of Developing JAX-WS Web Services", anchor: "WSGET111", file: "jax-ws-examples.htm" },
  { topic: "chapter", section: "7", title: "Roadmap for Developing JAX-WS Web Service Clients", anchor: "WSGET584", file: "jax-ws-clients-roadmap.htm" },
  { topic: "chapter", section: "8", title: "Developing Web Service Clients", anchor: "WSGET229", file: "jax-ws-client.htm" },
  { topic: "chapter", section: "9", title: "Examples of Developing JAX-WS Web Service Clients", anchor: "WSGET3626", file: "jax-ws-client-examples.htm" },
  { topic: "chapter", section: "10", title: "Using Web Services Addressing", anchor: "WSGET663", file: "jax-ws-wsaddressing.htm" },
  { topic: "chapter", section: "11", title: "Roadmap for Developing Asynchronous Web Service Clients", anchor: "WSGET3630", file: "jax-ws-async-roadmap.htm" },
  { topic: "chapter", section: "12", title: "Developing Asynchronous Clients", anchor: "WSGET3405", file: "jax-ws-async.htm" },
  { topic: "chapter", section: "13", title: "Roadmap for Developing Reliable Web Services and Clients", anchor: "WSGET500", file: "jax-ws-rm-bestpractice.htm" },
  { topic: "chapter", section: "14", title: "Using Web Services Reliable Messaging", anchor: "WSGET275", file: "jax-ws-reliablemessaging.htm" },
  { topic: "chapter", section: "15", title: "Using Web Services Atomic Transactions", anchor: "WSGET382", file: "jax-ws-atomictransaction.htm" },
  { topic: "chapter", section: "16", title: "Optimizing XML Transmission Using Fast Infoset", anchor: "WSGET3427", file: "jax-ws-fastinfoset.htm" },
  { topic: "chapter", section: "17", title: "Using SOAP Over JMS Transport", anchor: "WSGET3638", file: "jax-ws-jmstransport.htm" },
  { topic: "chapter", section: "18", title: "Creating and Using SOAP Message Handlers", anchor: "WSGET3432", file: "jax-ws-soaphandlers.htm" },
  { topic: "chapter", section: "19", title: "Handling Exceptions Using SOAP Faults", anchor: "WSGET623", file: "jax-ws-soapfaults.htm" },
  { topic: "chapter", section: "20", title: "Optimizing Binary Data Transmission", anchor: "WSGET3469", file: "jax-ws-mtom.htm" },
  { topic: "chapter", section: "21", title: "Managing Web Service Persistence", anchor: "WSGET3488", file: "jax-ws-persistence.htm" },
  { topic: "chapter", section: "22", title: "Configuring Message Buffering for Web Services", anchor: "WSGET3466", file: "jax-ws-buffering.htm" },
  { topic: "chapter", section: "23", title: "Managing Web Services in a Cluster", anchor: "WSGET3495", file: "jax-ws-cluster.htm" },
  { topic: "chapter", section: "24", title: "Using Provider-based Endpoints and Dispatch Clients to Operate on SOAP Messages", anchor: "WSGET3499", file: "jax-ws-provider.htm" },
  { topic: "chapter", section: "25", title: "Sending and Receiving SOAP Headers", anchor: "WSGET701", file: "jax-ws-soapheaders.htm" },
  { topic: "chapter", section: "26", title: "Using Callbacks", anchor: "WSGET3505", file: "jax-ws-callback.htm" },
  { topic: "chapter", section: "27", title: "Developing Dynamic Proxy Clients", anchor: "WSGET3399", file: "jax-ws-proxy.htm" },
  { topic: "chapter", section: "28", title: "Publishing a Web Service Endpoint", anchor: "WSGET3516", file: "jax-ws-publish.htm" },
  { topic: "chapter", section: "29", title: "Using XML Catalogs", anchor: "WSGET3519", file: "jax-ws-xml.htm" },
  { topic: "chapter", section: "30", title: "Programming Web Services Using XML Over HTTP", anchor: "WSGET572", file: "jax-ws-xmloverhttp.htm" },
  { topic: "chapter", section: "31", title: "Programming Stateful JAX-WS Web Services Using HTTP Session", anchor: "WSGET3538", file: "jax-ws-stateful.htm" },
  { topic: "chapter", section: "32", title: "Testing and Monitoring Web Services", anchor: "WSGET3636", file: "jax-ws-monitor.htm" },
  { topic: "appendix", section: "A", title: "Pre-packaged WS-Policy Files for Web Services Reliable Messaging and Make Connection", anchor: "WSGET3546", file: "jax-ws-wspolicy.htm" },
  { topic: "appendix", section: "B", title: "Example Client Wrapper Class for Batching Reliable Messages", anchor: "WSGET614", file: "jax-ws-reliablemessaging-batch.htm" },
  { topic: "appendix", section: "C", title: "Migrating JAX-RPC Web Services and Clients to JAX-WS", anchor: "WSGET3549", file: "jax-ws-migrate.htm" },
  { } ];
